Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

Get an alert destination

GET
/v1/alerts/destinations/{id}

One destination with its delivery health.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^dst_[a-z0-9]{8,32}$

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/alerts/destinations/string"
{  "object": "alert_destination",  "id": "string",  "type": "email",  "name": "string",  "enabled": true,  "min_severity": "info",  "notify_on_resolve": true,  "config": {    "type": "email",    "recipients": [      "user@example.com"    ],    "digest": "immediate"  },  "secret_hint": "string",  "health": {    "status": "idle",    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_delivery_at": "2019-08-24T14:15:22Z",    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}